Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 483

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /www/htdocs/w0097c3c/rs-forum/phpBB3/includes/bbcode.php on line 112
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 3824: Cannot modify header information - headers already sent by (output started at /includes/bbcode.php:483)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 3826: Cannot modify header information - headers already sent by (output started at /includes/bbcode.php:483)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 3827: Cannot modify header information - headers already sent by (output started at /includes/bbcode.php:483)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 3828: Cannot modify header information - headers already sent by (output started at /includes/bbcode.php:483)
Realsoft Forum • View topic - Installation challenge

Installation challenge

Moderator: odubtaig

Postby Timo » Tuesday 9. November 2004, 16:18

Made from geeks for geeks and nerds.

eww...
When it is darkest, men see the stars.
User avatar
Timo
 
Posts: 468
Joined: Wednesday 6. August 2003, 21:24
Location: Helsinki, Finland

Postby geo » Wednesday 10. November 2004, 07:47

Yes Debian looks too geeky I'm afraid.

Fedora 3 (4 cds for an os - good grief) has worked straight away. Realsoft installed as easily as on Windows, and I'll worry about 3D acceleration next week. It flickered like my Suse install at first , but it was because it installed my Wacom tablet whose mouse was floating around the tablet and fighting with the other mouse.

The main problem is that I now know Fedora and Redhat don't talk to Windows partitions. I've got some instructions from linux-ntfs, but the first attempt didn't work. I have to take everything over on CD rom.

And what's this gnome thing? I was getting used to KDE. The file manager in gnome seems pointless, so I'll try to work out how to change. I think it's installed 2Gig of unecessary software..

Anyway, thanks everyone for the support. No more geek speak today please. Coffee is ready and I'm going to try some modelling.
George
geo
 
Posts: 150
Joined: Sunday 18. April 2004, 11:26

Postby odubtaig » Wednesday 10. November 2004, 14:42

Before you login, select 'session' from the options at the bottom of the screen, you should be able to select KDE from there.

regards, Paul
User avatar
odubtaig
 
Posts: 54
Joined: Sunday 26. September 2004, 20:59
Location: Sheffield England

Postby Guest » Wednesday 10. November 2004, 16:27

If you have installed it with package setup at installation. But I think KDE is not installed with the standard installation, if you don't select it. So you can post install it with "system-config-packages" from comandline.

regards Marc
Guest
 

Postby geo » Thursday 25. November 2004, 07:42

Time for an update. I've been having so much fun :-)

ATI drivers are written for XFree86, and it seems most distros now ship with xorg. Many get it to work anyway, but it's beyond me. I tried Yoper (a new Kiwi distribution)as it still has Xfree and is apparently very fast but it broke everything, including windows. I reinstalled Windows and it took longer to boot than Linux! Fixed that with Windows SP2, but don't know what happened.

So I've settled on Fedora Core 3. ATI have apparently promised a new driver for the near future. I've seen no posts on any board from anyone who has succesfully installed on FC3. Now I remember why I'm writing this - what aspects of Realsoft benefit from accelerated 3D? I can survive without for the moment.

I've been sitting here for five minutes trying to remember the other question - too early in the morning :-)
Doed anyone know how to disable Alt+RMB in Gnome? I can do it in KDE but everything in Fedora seems to work better in Gnome (CD access etc.)

That's all for now. Another day I'll ask about getting pressure sensitivity back to my Wacom.

George
geo
 
Posts: 150
Joined: Sunday 18. April 2004, 11:26

Postby Guest » Thursday 25. November 2004, 12:47

Hi,
because your question about gnome, you have to download the modified metacity rpms from the linux download page at realsofts home page. You asked about benefits of accelerated 3D. If you have big scenes or models with thousends of objects, I think it would be useful. About the XFree86 and Xorg. Xorg (X11R7) is build from the sources of XFree86, it should be amost compatible with XFree86 (X11R6). The driver must be installable with Xorg, also. (I think.) About your wacom. At the moment their exists two drivers for wacom tablets. Which should have compatible settings in the XF86Config or xorg.conf file. Don't know if FC3 is shipped with the original wacom driver or the new one from http://linuxwacom.sourceforge.net/ . What wacom do you use Intuos2 or Graphire :?: ?

Regards Marc
Guest
 

Postby geo » Saturday 27. November 2004, 13:27

Thanks Marc. I'll get onto it right away. The wacom stuff looks a bit complicated, but I'm learning more about this thing called Linux now. It's a graphire, and presumably an old driver as it was recognised but unfeatured.

Later
George
geo
 
Posts: 150
Joined: Sunday 18. April 2004, 11:26

Postby Guest » Sunday 28. November 2004, 00:30

You mean this penguin, not thing called Linux.
Guest
 

Postby Guest » Sunday 13. February 2005, 19:48

Hi geo, I hope you will read this. I installed some FC3 and checked out, that it will not load the kernel module for the graphic card at start (You use ATI I know, I NVidia) but could it be that your ATI kernel module for the direct rendering interface will not be loaded? If not do the following: First switch your box to runlevel 3 and check out if you can load the module from commandline as root with "modprobe nvidia"
(change nvidia to the ati kernel module, I don't know it's name). Check if it will be loaded with "lsmod". If it is not in the list, bad. Then change your xorg.conf to the ATI (Nvidia) driver (look into the doc if available). Use a commandline texteditor and add following line to the file "/etc/rc.local" at its end: "/sbin/modprobe nvidia" (change nvidia to ati kernel module). Now change runlevel back to 5. (change the number in "/etc/inittab" but be carefull, one wrong character and your system will be damned. For more info about runlevels look out system5 init for u*ix systems). Don't know if this will help?
Regards Marc
Guest
 

Postby geo » Monday 14. February 2005, 08:58

Hi Marc

Yes I'm reading this - always desperate for hints. But I've changed back to Mandrake 10.1 in the last few days as FC3 will not talk to Windows easily (and none of the applications to access a Linux partition from Windows work either). Now I have a different problem.

Whenever I load an image into Realsoft it crashes. I don't know if this is because I haven't got the ATI working yet, or something else. There was no problem before, and other applications have no problems either. Seen this one before?
Geo
geo
 
Posts: 150
Joined: Sunday 18. April 2004, 11:26

Postby Guest » Monday 14. February 2005, 11:19

Hi, please what sort of image file format or is it independent of the format? Second I ask about your realsoft3d version you have installed. Please keep in mind to give us all valuable informations, else nobody could reproduce the error (Not everyone is working with the latest version). Third about your graphic adapter and this image loading problem. I think its implausible that the ATI has something to with. The graphic adapter is only for OpenGL(TM) (Don't know if the programers at realsoft added some sort of "Exluna Gelato" implementation, but as before - implausible.). About your ATI, I looked at ATI and they provide RPMs. Do you get some X server logfile with some usefull informations whats going wrong. If this is the case can you mail it?
Marc
Guest
 

Postby geo » Monday 14. February 2005, 12:28

It happened loading a .jpg or .tga into a vsl object. The program just exited. It's version 26.43 of Realsoft. Everything else seems to work fine. I should try a few other formats, and other ways to use them. Will do that later.

About the ATI RPM - I know they're there and there is infinite activity on the internet about what to do with them. I tried but it doesn't work. I think it doesn't work because the ATI RPM is for xorg version 6.8, whereas Mandrake 10.1 comes with xorg version 6.7. I've seen at least one message saying you have to update to 6.8, and several messages from newbies like me who don't know how to do that.

There is an RPM available for xorg 6.8 for Mandrake 10.1 but before I use it I have to find out:
Do I need to first uninstall 6.7?
How do I do that - I presume you have to stop it working first and do it from a terminal.
Then do you just install xorg6.8...rpm and it will all work?
Will this break MESA?
Will this break KDE?

The xorg site says "look at install.txt" in the root directory of the installation - before you've installed it? I can't find that doc anyway.

I'll get there slowly. I'm getting better at installing without too much unnecessary junk. I even have Frank's Building Blocks running in Wine :-)

I'll go looking for an X server logfile.
Thanks
George
geo
 
Posts: 150
Joined: Sunday 18. April 2004, 11:26

Postby Guest » Tuesday 15. February 2005, 14:38

Hi, you don't need to uninstall it. You just need to change to "rpm -Uvh", the -U means update, the rpm is uninstalling first and then installes the new packages. The only problem, if you do this by hand, could be the rpms dependencies. You can resolve them by yourself, when you after a "rpm -Uvh" check the shell output what will be further needed and download it and add it to a next "rpm -Uvh xxx.rpm" call. I have no Mandrake installed at the moment, but I think they use some auto updater like "yum" or "apt". Check this out. If you have yum, type in "yum update" or try "yum upgrade", the package download links will be set in the file "/etc/yum.conf". Look at the internet for more info about yum. Or if you have apt, try "apt-get upgrade". It also uses a config file in /etc, which includes the download links to rpm packages.

The X server is backward compatible to the old versions (I hope, but you won't get any problems, trust me). So the window manager will have no problems with it. The MESA is only needed if you use software rendering or you have to use the old Utah-GLX for hardware acceleration (with old Matrox G400 and the old 3.x releases of the X server, god bless Paul Brian). I for example have installed mesa because the package manager else will grouch. The NVida driver checks this out for me by itself and resolves the problem at installation.

About X log file check out /var/log/Xorg.0.log or XFree86.0.log. Or without zeros just look into the directory.

Regards Marc

"Now here, you see, it takes all the running you can do to keep in the same place. If you want to get somewhere else, you must run at least twice as fast as that!"
--- Lewis Carroll (Math teacher)
Guest
 

Postby methamorppheus » Wednesday 2. March 2005, 18:04

Made a topic with an explanation how to change the ALT key settings of KDE.
Regards Marc
methamorppheus
 

Postby Ville » Wednesday 2. March 2005, 18:27

HINT: If you have installed WIN2000 or WINXP as an administrator. Make another administrator account and install RS with that account.
This helped with earlier RS versions. Same procedure as with older Adobe softwares. Its the old windows installer that is a big pain for admins.
The version 5 installs fine on any configuration. Even on Linux :)
Ville
 
Posts: 21
Joined: Tuesday 4. January 2005, 10:20
Location: Finland

PreviousNext

Return to Realsoft for Linux

Who is online

Users browsing this forum: No registered users and 3 guests

cron